Subject: Re: multiple devices using ELDK NFS mounts

From: Alex Zeffertt <[email-masked]>
Date: Thu, 08 Feb 2007 10:44:00 +0000

Daniel Ng wrote:
> Hi,
> 
> I am working on multiple ELDK devices. So far, I just have one copy of the ELDK 
> NFS mount per device. This gets unwieldly when we have more than a few devices, 
> especially considering the size of one NFS mount being over 800Mb. 
> 
> Can you suggest a more efficient way? Something like sharing part of a single 
> NFS mount across multiple devices? Or some other way?
> 
> Cheers,
> Daniel
> 

I assume you are mounting the NFS as the *root* filesystem, and you don't want the
devices to overwrite eachothers files.

Why not build a ramdisk root filesystem and boot that.  Then mount the NFS filesystem
somewhere else, e.g. /usr.  This is very well described in the ELDK wiki.

Alex